function HA = drivetrain100p(~)


%% Generated on 20-Apr-2018

%--------------Automaton created from Component 'root_net'-----------------

%% Interface Specification:
%   This section clarifies the meaning of state & input dimensions
%   by showing their mapping to SpaceEx variable names. 

% Component 1 (root_net.root):
%  state x := [x1; x2; x3; x4; x5; x6; x7; x8; x9; t]
%  input u := [uDummy]

%------------------------Component root_net.root---------------------------

%----------------------------State negAngle--------------------------------

%% equation:
%   x1' == 1.0 / 12.0 * x7 - x9 &
%    x2' == (0.5 * (12.0 * x4 - x7) + 0.5 * (12.0 * x3 - 12.0 * (x1 + x8)) + 0.5 * (12.0 * 5.0 - 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 10000.0 * (x1 - -0.03) - 0.0 * x7)) - x2) / 0.1 &
%    x3' == x4 &
%    x4' == 5.0 &
%    x5' == x6 &
%    x6' == 1.0 / 140.0 * (100000.0 * (x8 - x5) - 5.6 * x6) &
%    x7' == 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 10000.0 * (x1 - -0.03) - 0.0 * x7) &
%    x8' == x9 &
%    x9' == 0.01 * (10000.0 * (x1 - -0.03) - 100000.0 * (x8 - x5) - 1.0 * x9) &
%    t' == 1.0
dynA = ...
[0,0,0,0,0,0,0.08333333333,0,-1,0;13828.88889,-26.66666667,60,60,0,0,-5,...
-60,0,0;0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,...
0,0,-714.2857143,-0.04,0,714.2857143,0,0;-2777.777778,3.333333333,0,0,0,...
0,0,0,0,0;0,0,0,0,0,0,0,0,1,0;100,0,0,0,1000,0,0,-1000,-0.01,0;0,0,0,0,...
0,0,0,0,0,0];
dynB = ...
[0;0;0;0;0;0;0;0;0;0];
dync = ...
[0;716.6666667;0;5;0;0;-83.33333333;0;3;1];
dynamics = linearSys('linearSys', dynA, dynB, dync);

%% equation:
%   x1 <= -0.03
invA = ...
[1,0,0,0,0,0,0,0,0,0];
invb = ...
[-0.03];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0;0,0,0,1,0,...
0,0,0,0,0;0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,0,0,0,0,1,0,0,0;0,...
0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   x1 >= -0.03
guardA = ...
[-1,0,0,0,0,0,0,0,0,0];
guardb = ...
[0.03];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);
% guard = halfspace(guardA',guardb);

trans{1} = transition(guard, reset, 2, 'dummy', 'names');

loc{1} = location('S1',1, inv, trans, dynamics);



%----------------------------State deadzone--------------------------------

%% equation:
%   x1' == 1.0 / 12.0 * x7 - x9 &
%    x2' == (0.5 * (12.0 * x4 - x7) + 0.5 * (12.0 * x3 - 12.0 * (x1 + x8)) + 0.5 * (12.0 * 5.0 - 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 0.0 * (x1 - -0.03) - 0.0 * x7)) - x2) / 0.1 &
%    x3' == x4 &
%    x4' == 5.0 &
%    x5' == x6 &
%    x6' == 1.0 / 140.0 * (100000.0 * (x8 - x5) - 5.6 * x6) &
%    x7' == 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 0.0 * (x1 - -0.03) - 0.0 * x7) &
%    x8' == x9 &
%    x9' == 0.01 * (0.0 * (x1 - -0.03) - 100000.0 * (x8 - x5) - 1.0 * x9) &
%    t' == 1.0
dynA = ...
[0,0,0,0,0,0,0.08333333333,0,-1,0;-60,-26.66666667,60,60,0,0,-5,-60,0,0;...
0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,0,0,...
-714.2857143,-0.04,0,714.2857143,0,0;0,3.333333333,0,0,0,0,0,0,0,0;0,0,...
0,0,0,0,0,0,1,0;0,0,0,0,1000,0,0,-1000,-0.01,0;0,0,0,0,0,0,0,0,0,0];
dynB = ...
[0;0;0;0;0;0;0;0;0;0];
dync = ...
[0;300;0;5;0;0;0;0;0;1];
dynamics = linearSys('linearSys', dynA, dynB, dync);

%% equation:
%   -0.03 <= x1 &
%    x1 <= 0.03
invA = ...
[-1,0,0,0,0,0,0,0,0,0;1,0,0,0,0,0,0,0,0,0];
invb = ...
[0.03;0.03];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0;0,0,0,1,0,...
0,0,0,0,0;0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,0,0,0,0,1,0,0,0;0,...
0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   x1 >= 0.03
guardA = ...
[-1,0,0,0,0,0,0,0,0,0];
guardb = ...
[-0.03];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);
% guard = halfspace(guardA',guardb);

trans{1} = transition(guard, reset, 3, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0;0,0,0,1,0,...
0,0,0,0,0;0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,0,0,0,0,1,0,0,0;0,...
0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   x1 <= -0.03
guardA = ...
[1,0,0,0,0,0,0,0,0,0];
guardb = ...
[-0.03];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);
% guard = halfspace(guardA',guardb);

trans{2} = transition(guard, reset, 1, 'dummy', 'names');

loc{2} = location('S2',2, inv, trans, dynamics);



%----------------------------State posAngle--------------------------------

%% equation:
%   x1' == 1.0 / 12.0 * x7 - x9 &
%    x2' == (0.5 * (12.0 * x4 - x7) + 0.5 * (12.0 * x3 - 12.0 * (x1 + x8)) + 0.5 * (12.0 * 5.0 - 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 10000.0 * (x1 - 0.03) - 0.0 * x7)) - x2) / 0.1 &
%    x3' == x4 &
%    x4' == 5.0 &
%    x5' == x6 &
%    x6' == 1.0 / 140.0 * (100000.0 * (x8 - x5) - 5.6 * x6) &
%    x7' == 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 10000.0 * (x1 - 0.03) - 0.0 * x7) &
%    x8' == x9 &
%    x9' == 0.01 * (10000.0 * (x1 - 0.03) - 100000.0 * (x8 - x5) - 1.0 * x9) &
%    t' == 1.0
dynA = ...
[0,0,0,0,0,0,0.08333333333,0,-1,0;13828.88889,-26.66666667,60,60,0,0,-5,...
-60,0,0;0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,...
0,0,-714.2857143,-0.04,0,714.2857143,0,0;-2777.777778,3.333333333,0,0,0,...
0,0,0,0,0;0,0,0,0,0,0,0,0,1,0;100,0,0,0,1000,0,0,-1000,-0.01,0;0,0,0,0,...
0,0,0,0,0,0];
dynB = ...
[0;0;0;0;0;0;0;0;0;0];
dync = ...
[0;-116.6666667;0;5;0;0;83.33333333;0;-3;1];
dynamics = linearSys('linearSys', dynA, dynB, dync);

%% equation:
%   0.03 <= x1
invA = ...
[-1,0,0,0,0,0,0,0,0,0];
invb = ...
[-0.03];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0;0,0,0,1,0,...
0,0,0,0,0;0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,0,0,0,0,1,0,0,0;0,...
0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   x1 <= 0.03
guardA = ...
[1,0,0,0,0,0,0,0,0,0];
guardb = ...
[0.03];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);
% guard = halfspace(guardA',guardb);

trans{1} = transition(guard, reset, 2, 'dummy', 'names');

loc{3} = location('S3',3, inv, trans, dynamics);



%--------------------------State negAngleInit------------------------------

%% equation:
%   x1' == 1.0 / 12.0 * x7 - x9 &
%    x2' == (0.5 * (12.0 * x4 - x7) + 0.5 * (12.0 * x3 - 12.0 * (x1 + x8)) + 0.5 * (12.0 * -5.0 - 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 10000.0 * (x1 - -0.03) - 0.0 * x7)) - x2) / 0.1 &
%    x3' == x4 &
%    x4' == -5.0 &
%    x5' == x6 &
%    x6' == 1.0 / 140.0 * (100000.0 * (x8 - x5) - 5.6 * x6) &
%    x7' == 1.0 / 0.3 * (x2 - 1.0 / 12.0 * 10000.0 * (x1 - -0.03) - 0.0 * x7) &
%    x8' == x9 &
%    x9' == 0.01 * (10000.0 * (x1 - -0.03) - 100000.0 * (x8 - x5) - 1.0 * x9) &
%    t' == 1.0
dynA = ...
[0,0,0,0,0,0,0.08333333333,0,-1,0;13828.88889,-26.66666667,60,60,0,0,-5,...
-60,0,0;0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,...
0,0,-714.2857143,-0.04,0,714.2857143,0,0;-2777.777778,3.333333333,0,0,0,...
0,0,0,0,0;0,0,0,0,0,0,0,0,1,0;100,0,0,0,1000,0,0,-1000,-0.01,0;0,0,0,0,...
0,0,0,0,0,0];
dynB = ...
[0;0;0;0;0;0;0;0;0;0];
dync = ...
[0;116.6666667;0;-5;0;0;-83.33333333;0;3;1];
dynamics = linearSys('linearSys', dynA, dynB, dync);

%% equation:
%   t <= 0.2
invA = ...
[0,0,0,0,0,0,0,0,0,1];
invb = ...
[0.2];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0;0,0,0,1,0,...
0,0,0,0,0;0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0;0,0,0,0,0,0,1,0,0,0;0,...
0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t >= 0.2
guardA = ...
[0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-0.2];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);
% guard = halfspace(guardA',guardb);

trans{1} = transition(guard, reset, 1, 'dummy', 'names');

loc{4} = location('S4',4, inv, trans, dynamics);



HA = hybridAutomaton(loc);


end