function HA = pancreas(~)


%% Generated on 02-May-2018

%---------Automaton created from Component 'ArtificialPancreas'------------

%% Interface Specification:
%   This section clarifies the meaning of state & input dimensions
%   by showing their mapping to SpaceEx variable names. 

% Component 1 (ArtificialPancreas):
%  state x := [X; Isc1; Isc2; Gt; Gp; Il; Ip; I1; Id; Gs; t]
%  input u := [uc]

%---------------------Component ArtificialPancreas-------------------------

%----------------------------State loc_I1_t1-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.05 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.141e-4*t^2 + 6.134e-6*t) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St1_FlowEq,dynOpt); 

%% equation:
%   Gs<=80 & t>=0 & t<=30.1
invA = ...
[0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[80;-0;30.1];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 2, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=30
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-30];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 6, 'dummy', 'names');

loc{1} = location('S1',1, inv, trans, dynamics);



%----------------------------State loc_I2_t1-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.1 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.141e-4*t^2 + 6.134e-6*t) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St2_FlowEq,dynOpt); 

%% equation:
%   Gs>=75 & Gs<=120 & t>=0 & t<=30.1
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-75;120;-0;30.1];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=75
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[75];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 1, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=120
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-120];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 3, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=30
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-30];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 7, 'dummy', 'names');

loc{2} = location('S2',2, inv, trans, dynamics);



%----------------------------State loc_I3_t1-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.2 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.141e-4*t^2 + 6.134e-6*t) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St3_FlowEq,dynOpt); 

%% equation:
%   Gs>=115 & Gs<=180 & t>=0 & t<=30.1
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-115;180;-0;30.1];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=115
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[115];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 2, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=180
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-180];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 4, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=30
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-30];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 8, 'dummy', 'names');

loc{3} = location('S3',3, inv, trans, dynamics);



%----------------------------State loc_I4_t1-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.5 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.141e-4*t^2 + 6.134e-6*t) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St4_FlowEq,dynOpt); 

%% equation:
%   Gs>=175 & Gs<=300 & t>=0 & t<=30.1
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-175;300;-0;30.1];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=175
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[175];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 3, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=300
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-300];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 5, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=30
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-30];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 9, 'dummy', 'names');

loc{4} = location('S4',4, inv, trans, dynamics);



%----------------------------State loc_I5_t1-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 1.4 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.141e-4*t^2 + 6.134e-6*t) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St5_FlowEq,dynOpt); 

%% equation:
%   Gs>=295 & t>=0 & t<=30.1
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[-295;-0;30.1];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=295
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[295];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 4, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=30
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-30];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 10, 'dummy', 'names');

loc{5} = location('S5',5, inv, trans, dynamics);



%----------------------------State loc_I1_t2-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.05 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(5.25e-5*t^2 - 7.468e-3*t + 0.281) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St6_FlowEq,dynOpt); 

%% equation:
%   Gs<=80 & t>=30 & t<=80
invA = ...
[0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[80;-30;80];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 7, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 11, 'dummy', 'names');

loc{6} = location('S6',6, inv, trans, dynamics);



%----------------------------State loc_I2_t2-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.1 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(5.25e-5*t^2 - 7.468e-3*t + 0.281) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St7_FlowEq,dynOpt); 

%% equation:
%   Gs>=75 & Gs<=120 & t>=30 & t<=80
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-75;120;-30;80];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=75
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[75];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 6, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=120
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-120];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 8, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 12, 'dummy', 'names');

loc{7} = location('S7',7, inv, trans, dynamics);



%----------------------------State loc_I3_t2-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.2 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(5.25e-5*t^2 - 7.468e-3*t + 0.281) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St8_FlowEq,dynOpt); 

%% equation:
%   Gs>=115 & Gs<=180 & t>=30 & t<=80
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-115;180;-30;80];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=115
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[115];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 7, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=180
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-180];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 9, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 13, 'dummy', 'names');

loc{8} = location('S8',8, inv, trans, dynamics);



%----------------------------State loc_I4_t2-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.5 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(5.25e-5*t^2 - 7.468e-3*t + 0.281) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St9_FlowEq,dynOpt); 

%% equation:
%   Gs>=175 & Gs<=300 & t>=30 & t<=80
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-175;300;-30;80];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=175
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[175];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 8, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=300
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-300];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 10, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 14, 'dummy', 'names');

loc{9} = location('S9',9, inv, trans, dynamics);



%----------------------------State loc_I5_t2-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 1.4 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(5.25e-5*t^2 - 7.468e-3*t + 0.281) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St10_FlowEq,dynOpt); 

%% equation:
%   Gs>=295 & t>=30 & t<=80
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[-295;-30;80];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=295
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[295];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 9, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 15, 'dummy', 'names');

loc{10} = location('S10',10, inv, trans, dynamics);



%----------------------------State loc_I1_t3-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.05 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.245e-7*t^2 - 9.112e-5*t + 2.648e-2) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St11_FlowEq,dynOpt); 

%% equation:
%   Gs<=80 & t>=80 & t<=360
invA = ...
[0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[80;-80;360];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 12, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=360
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-360];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 16, 'dummy', 'names');

loc{11} = location('S11',11, inv, trans, dynamics);



%----------------------------State loc_I2_t3-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.1 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.245e-7*t^2 - 9.112e-5*t + 2.648e-2) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St12_FlowEq,dynOpt); 

%% equation:
%   Gs>=75 & Gs<=120 & t>=80 & t<=360
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-75;120;-80;360];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=75
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[75];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 11, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=120
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-120];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 13, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=360
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-360];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 17, 'dummy', 'names');

loc{12} = location('S12',12, inv, trans, dynamics);



%----------------------------State loc_I3_t3-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.2 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.245e-7*t^2 - 9.112e-5*t + 2.648e-2) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St13_FlowEq,dynOpt); 

%% equation:
%   Gs>=115 & Gs<=180 & t>=80 & t<=360
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-115;180;-80;360];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=115
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[115];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 12, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=180
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-180];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 14, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=360
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-360];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 18, 'dummy', 'names');

loc{13} = location('S13',13, inv, trans, dynamics);



%----------------------------State loc_I4_t3-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.5 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.245e-7*t^2 - 9.112e-5*t + 2.648e-2) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St14_FlowEq,dynOpt); 

%% equation:
%   Gs>=175 & Gs<=300 & t>=80 & t<=360
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-175;300;-80;360];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=175
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[175];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 13, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=300
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-300];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 15, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=360
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-360];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 19, 'dummy', 'names');

loc{14} = location('S14',14, inv, trans, dynamics);



%----------------------------State loc_I5_t3-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 1.4 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.245e-7*t^2 - 9.112e-5*t + 2.648e-2) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St15_FlowEq,dynOpt); 

%% equation:
%   Gs>=295 & t>=80 & t<=360
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[-295;-80;360];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=295
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[295];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 14, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=360
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-360];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 20, 'dummy', 'names');

loc{15} = location('S15',15, inv, trans, dynamics);



%----------------------------State loc_I1_t4-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.05 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(-6.307e-5*t^2 + 0.0483*t - 9.19) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St16_FlowEq,dynOpt); 

%% equation:
%   Gs<=80 & t>=360 & t<=400
invA = ...
[0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[80;-360;400];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 17, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=400
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-400];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 21, 'dummy', 'names');

loc{16} = location('S16',16, inv, trans, dynamics);



%----------------------------State loc_I2_t4-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.1 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(-6.307e-5*t^2 + 0.0483*t - 9.19) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St17_FlowEq,dynOpt); 

%% equation:
%   Gs>=75 & Gs<=120 & t>=360 & t<=400
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-75;120;-360;400];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=75
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[75];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 16, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=120
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-120];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 18, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=400
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-400];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 22, 'dummy', 'names');

loc{17} = location('S17',17, inv, trans, dynamics);



%----------------------------State loc_I3_t4-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.2 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(-6.307e-5*t^2 + 0.0483*t - 9.19) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St18_FlowEq,dynOpt); 

%% equation:
%   Gs>=115 & Gs<=180 & t>=360 & t<=400
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-115;180;-360;400];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=115
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[115];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 17, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=180
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-180];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 19, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=400
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-400];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 23, 'dummy', 'names');

loc{18} = location('S18',18, inv, trans, dynamics);



%----------------------------State loc_I4_t4-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.5 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(-6.307e-5*t^2 + 0.0483*t - 9.19) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St19_FlowEq,dynOpt); 

%% equation:
%   Gs>=175 & Gs<=300 & t>=360 & t<=400
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-175;300;-360;400];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=175
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[175];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 18, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=300
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-300];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 20, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=400
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-400];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 24, 'dummy', 'names');

loc{19} = location('S19',19, inv, trans, dynamics);



%----------------------------State loc_I5_t4-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 1.4 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(-6.307e-5*t^2 + 0.0483*t - 9.19) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St20_FlowEq,dynOpt); 

%% equation:
%   Gs>=295 & t>=360 & t<=400
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[-295;-360;400];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=295
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[295];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 19, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=400
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-400];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 25, 'dummy', 'names');

loc{20} = location('S20',20, inv, trans, dynamics);



%----------------------------State loc_I1_t5-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.05 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(3.553e-6*t^2 -3.423e-3*t + 0.824) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St21_FlowEq,dynOpt); 

%% equation:
%   Gs<=80 & t>=400 & t<=500
invA = ...
[0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[80;-400;500];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 22, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=500
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-500];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 26, 'dummy', 'names');

loc{21} = location('S21',21, inv, trans, dynamics);



%----------------------------State loc_I2_t5-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.1 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(3.553e-6*t^2 -3.423e-3*t + 0.824) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St22_FlowEq,dynOpt); 

%% equation:
%   Gs>=75 & Gs<=120 & t>=400 & t<=500
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-75;120;-400;500];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=75
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[75];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 21, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=120
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-120];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 23, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=500
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-500];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 27, 'dummy', 'names');

loc{22} = location('S22',22, inv, trans, dynamics);



%----------------------------State loc_I3_t5-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.2 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(3.553e-6*t^2 -3.423e-3*t + 0.824) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St23_FlowEq,dynOpt); 

%% equation:
%   Gs>=115 & Gs<=180 & t>=400 & t<=500
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-115;180;-400;500];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=115
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[115];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 22, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=180
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-180];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 24, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=500
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-500];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 28, 'dummy', 'names');

loc{23} = location('S23',23, inv, trans, dynamics);



%----------------------------State loc_I4_t5-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.5 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(3.553e-6*t^2 -3.423e-3*t + 0.824) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St24_FlowEq,dynOpt); 

%% equation:
%   Gs>=175 & Gs<=300 & t>=400 & t<=500
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-175;300;-400;500];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=175
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[175];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 23, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=300
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-300];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 25, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=500
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-500];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{3} = transition(guard, reset, 29, 'dummy', 'names');

loc{24} = location('S24',24, inv, trans, dynamics);



%----------------------------State loc_I5_t5-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 1.4 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(3.553e-6*t^2 -3.423e-3*t + 0.824) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St25_FlowEq,dynOpt); 

%% equation:
%   Gs>=295 & t>=400 & t<=500
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[-295;-400;500];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=295
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[295];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 24, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   t>=500
guardA = ...
[0,0,0,0,0,0,0,0,0,0,-1];
guardb = ...
[-500];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 30, 'dummy', 'names');

loc{25} = location('S25',25, inv, trans, dynamics);



%----------------------------State loc_I1_t6-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.05 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.113e-8*t^2 - 1.482e-5*t+4.9e-3) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St26_FlowEq,dynOpt); 

%% equation:
%   Gs<=80 & t>=500 & t<=720
invA = ...
[0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[80;-500;720];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=80
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-80];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 27, 'dummy', 'names');

loc{26} = location('S26',26, inv, trans, dynamics);



%----------------------------State loc_I2_t6-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.1 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.113e-8*t^2 - 1.482e-5*t+4.9e-3) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St27_FlowEq,dynOpt); 

%% equation:
%   Gs>=75 & Gs<=120 & t>=500 & t<=720
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-75;120;-500;720];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=75
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[75];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 26, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=120
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-120];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 28, 'dummy', 'names');

loc{27} = location('S27',27, inv, trans, dynamics);



%----------------------------State loc_I3_t6-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.2 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.113e-8*t^2 - 1.482e-5*t+4.9e-3) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St28_FlowEq,dynOpt); 

%% equation:
%   Gs>=115 & Gs<=180 & t>=500 & t<=720
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-115;180;-500;720];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=115
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[115];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 27, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=180
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-180];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 29, 'dummy', 'names');

loc{28} = location('S28',28, inv, trans, dynamics);



%----------------------------State loc_I4_t6-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 0.5 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.113e-8*t^2 - 1.482e-5*t+4.9e-3) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St29_FlowEq,dynOpt); 

%% equation:
%   Gs>=175 & Gs<=300 & t>=500 & t<=720
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,1,0;0,0,0,0,0,0,0,0,0,0,-1;0,...
0,0,0,0,0,0,0,0,0,1];
invb = ...
[-175;300;-500;720];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=175
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[175];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 28, 'dummy', 'names');

%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs>=300
guardA = ...
[0,0,0,0,0,0,0,0,0,-1,0];
guardb = ...
[-300];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{2} = transition(guard, reset, 30, 'dummy', 'names');

loc{29} = location('S29',29, inv, trans, dynamics);



%----------------------------State loc_I5_t6-------------------------------

%% equation:
%   X'== -0.0278 * X +0.0278 * ( 18.2129 * Ip - 100.25) & 
%               Isc1'== -0.0142 * Isc1 - 0.0078 * Isc2 + 1.4 &
%               Isc2'== 0.0152 * Isc1 - 0.0078 * Isc2 &
%               Gt'== -0.0039* (3.2267+0.0313*X) * Gt * ( 1 - 0.0026 * Gt + (2.5097e-6) *Gt^2) + 0.0581 *Gp - 0.0871* Gt &
%               Gp'== 3.7314 - 0.0047 * Gp - 0.0121 * Id - 0.0581*Gp + 0.0871*Gt + uc*(1.113e-8*t^2 - 1.482e-5*t+4.9e-3) & 
%               Il'== -0.4219 * Il + 0.2250* Ip &
%               Ip'== -0.3150 * Ip + 0.1545 * Il + 0.0019 * Isc1 + 0.0078 * Isc2 &
%               I1'== -0.0046 * ( I1 - 18.2129 * Ip) &
%               Id'== -0.0046 * (Id - I1 ) &
%               Gs'== 0.1*( 0.5221 * Gp - Gs) &
%               t'==1
dynOpt = struct('tensorOrder',1);
dynamics = nonlinearSys(11,1,@pancreas_St30_FlowEq,dynOpt); 

%% equation:
%   Gs>=295 & t>=500 & t<=720
invA = ...
[0,0,0,0,0,0,0,0,0,-1,0;0,0,0,0,0,0,0,0,0,0,-1;0,0,0,0,0,0,0,0,0,0,1];
invb = ...
[-295;-500;720];
invOpt = struct('A', invA, 'b', invb);
inv = mptPolytope(invOpt);

trans = {};
%% equation:
%   
resetA = ...
[1,0,0,0,0,0,0,0,0,0,0;0,1,0,0,0,0,0,0,0,0,0;0,0,1,0,0,0,0,0,0,0,0;0,0,...
0,1,0,0,0,0,0,0,0;0,0,0,0,1,0,0,0,0,0,0;0,0,0,0,0,1,0,0,0,0,0;0,0,0,0,0,...
0,1,0,0,0,0;0,0,0,0,0,0,0,1,0,0,0;0,0,0,0,0,0,0,0,1,0,0;0,0,0,0,0,0,0,0,...
0,1,0;0,0,0,0,0,0,0,0,0,0,1];
resetb = ...
[0;0;0;0;0;0;0;0;0;0;0];
reset = struct('A', resetA, 'b', resetb);

%% equation:
%   Gs<=295
guardA = ...
[0,0,0,0,0,0,0,0,0,1,0];
guardb = ...
[295];
guardOpt = struct('A', guardA, 'b', guardb);
guard = mptPolytope(guardOpt);

trans{1} = transition(guard, reset, 29, 'dummy', 'names');

loc{30} = location('S30',30, inv, trans, dynamics);



HA = hybridAutomaton(loc);


end